int Signal_GBF = A0; // Signal Analogique

void setup() {

// Configure le port série pour l'exemple
Serial.begin(9600);

// Met la broche de signal venant du GBF en entrée
pinMode(Signal_GBF, INPUT);
}

void loop() {

// Mesure la durée de l'impulsion haute
noInterrupts();
unsigned long etat_haut = pulseIn(Signal_GBF, HIGH);
interrupts();

// Mesure la durée de l'impulsion basse
noInterrupts();
unsigned long etat_bas = pulseIn(Signal_GBF, LOW);
interrupts();

// Calcul de la periode = etat haut + etat bas
long periode = (etat_bas + etat_haut);
// Calcul de la frequence = 1 / periode
long frequence = (1/(..............));

Serial.println("Periode : ");
Serial.print(periode);
Serial.println("");
Serial.println("Frequence : ");
Serial.print(frequence);
Serial.println(" Hz");
Serial.println("");

delay(2000);
}
